from rest_framework import serializers
from .models import *

class DriverSerializer(serializers.ModelSerializer):
    class Meta:
        model = Driver
        fields = ('first_name','last_name')

class RaceSerializer(serializers.ModelSerializer):
    class Meta:
        model = Race
        fields = ('name','start_date','end_date','duration', 'comment','fk_rules')

class RelaySerializer(serializers.ModelSerializer):
    class Meta:
        model = Relay
        fields = ('relay_start','relay_end','has_refuel','pilot_chrono','pilot_chrono', 'comment','team_pilot')

class RulesSerializer(serializers.ModelSerializer):
    class Meta:
        model = Rules
        fields = ('min_stand_duration', 'max_autonomy_dry', 'max_autonomy_wet', 'max_driving_duration', 'relay_default_duration')

class TeamSerializer(serializers.ModelSerializer):
    class Meta:
        model = Team
        fields = ('name', 'comment')

class EngagedPilotSerializer(serializers.ModelSerializer):
    class Meta:
        model = EngagedPilot
        fields = ('order','team','pilot','race')

class EngagedPilotsSerializer(serializers.ModelSerializer):
    relays = RelaySerializer(many=True)
    class Meta:
        model = EngagedPilot
        fields = ('order','team','pilot','race', 'relays')

class ListRelaysByRaceAndTeamSerializer(serializers.ModelSerializer):
    engagedpilots = EngagedPilotsSerializer(many=True)
    class Meta:
        model = Race
        fields = ('name','start_date','end_date','duration', 'comment','fk_rules', 'engagedpilots')
        